Productsup
CDE APIApi referenceManagement

Add member to organization.

Sign in to run requests against the CDE API.
PUT
/organizations/{organizationId}/members/{memberId}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

organizationId*string
Formatuuid
memberId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/members/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "message": "successful operation",
  "resource": "organization",
  "data": {
    "uuid": "019e16f3-a06d-7a1f-ba8c-997ad5d46eba",
    "name": "ProductsUp",
    "connectors-limit": 10,
    "members": [
      {
        "uuid": "019e16f3-a078-7e94-addf-61b0d5a1a3a8"
      },
      {
        "uuid": "019e16f3-a07d-7a0b-bbca-9199f65046ba"
      },
      {
        "uuid": "019e16f3-a083-7b8b-b677-67d70e9fdd32"
      }
    ],
    "notification-config": null,
    "dev-defaults": null,
    "prod-defaults": null
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Organization not found."
}

How is this guide?